## buildbot 0.7.12

=== docs/Makefile ===

buildbot.info: buildbot.texinfo
	makeinfo --fill-column=70 $<

buildbot.html: buildbot.texinfo images-png
	makeinfo --no-split --html $<

buildbot.ps: buildbot.texinfo images-eps
	texi2dvi $<
	dvips buildbot.dvi
	rm buildbot.aux buildbot.cp buildbot.cps buildbot.fn buildbot.ky buildbot.log buildbot.pg buildbot.toc buildbot.tp buildbot.vr
	rm buildbot.dvi


.PHONY: images images-png images-eps
images:
	$(MAKE) -C images all
images-png:
	$(MAKE) -C images images-png
images-eps:
	$(MAKE) -C images images-eps

=== docs/images/Makefile ===

SOURCES = overview.svg slaves.svg slavebuilder.svg master.svg status.svg
PNGS = $(patsubst %.svg,%.png,$(SOURCES))
EPSS = $(patsubst %.svg,%.eps,$(SOURCES))

.PHONY: images-png images-eps
all: $(PNGS) $(EPSS)
images-png: $(PNGS)
images-eps: $(EPSS)

%.png: %.svg
	inkscape -b white --export-png $@ $<
%.eps: %.svg
	inkscape --export-eps $@ $<

clean:
	rm -f *.png *.eps

## buildbot 0.8.3p1

=== debian/changelog ===
buildbot (0.8.3p1-1) unstable; urgency=low

  * New upstream version (Closes: #587313).
  * Build using dh_python2 instead of dh_pycentral.
  * Remove dependency on python-central.
  * Add DEP-3 compliant headers to patches.
  * Make debian/control DEP-5 compliant, add all copyright notices.
  * Add project homepage in debian/control.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Remove unnecessary Build-Conflicts.
  * Upgrade compatibility level to 7.
  * Upgrade Standards-Version to 3.9.1.
  * Add tests to build process (Build-Depends: python-mock).
  * Add versioned Depends and Build-Depends: python-jinja2 (>=2.1).
  * debian/rules: use override rules instead of redefining whole build
    process.
  * Purge buildbot user and its home directory only when all buildbot packages 
    have been purged.
  * debian/watch: use googlecode for source download.
  * fix-init-scripts.patch: comment out example configuration in
    /etc/default/buildmaster.
  * fix-interpreters.patch: move sed scripting from debian/rules to separate
    patch which sets the correct interpreters for contrib scripts.
  * fix-test-root.patch: remove superuser checks to be able to test under
    fakeroot.
  * fix-doc-version.patch: use "0.8.3p1" as version string in all documents.
  * fix-makeinfo-args.patch: move makeinfo scripting from debian/rules to
    separate patch which sets makeinfo arguments as for 0.7.12 package.
  * fix-info-dir.patch: backport doc patches from 0.7.12 package.
  * gitpoller-multibyte.patch: fix multibyte comments processing in gitpoller.

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Tue, 08 Mar 2011 23:29:44 +0200

buildbot (0.7.12-2) unstable; urgency=low

  * Call setup.py install using --install-layout=deb. Closes: #569278.

 -- Matthias Klose <doko@debian.org>  Sun, 28 Feb 2010 04:48:48 +0100

buildbot (0.7.12-1) unstable; urgency=low

  * New upstream version.
  * Recommend python-twisted-mail, python-twisted-web instead of depending
    on it. Only the server does depend on these packages. Closes: #565993.
  * Add manual page for buildbot (Iustin Pop). Closes: #554531.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Jan 2010 15:04:26 +0100

buildbot (0.7.11p3-1) unstable; urgency=low

  * New upstream version.
    - Fix CVE-2009-2959[0], cross-site scripting (XSS) vulnerability.
      Closes: #543822.
    - Fix buildbot serving CSS as text/plain, breaking styling in Firefox.
      Closes: #517267.
  * Fixed in 0.7.10: test output flooded in waterfall display.
    Closes: #512770.
  * Fix /etc/init.d/buildbot reload crashing buildslaves (Petr Rockai).
    Closes: #503288.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Aug 2009 08:23:06 +0200

buildbot (0.7.10p1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Mar 2009 19:50:33 +0100

buildbot (0.7.9-1) unstable; urgency=low

  * New upstream version.
  * Suggest supported version control systems. Closes: #496539.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Sep 2008 16:58:12 +0200

buildbot (0.7.8-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Jul 2008 16:51:45 +0200

buildbot (0.7.7-1) unstable; urgency=low

  * New upstream version.
  * debian/watch: Update. Closes: #449882.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Apr 2008 15:27:31 +0200

buildbot (0.7.6-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Jan 2008 22:26:36 +0100

buildbot (0.7.5-1.1) unstable; urgency=low

  * Non-maintainer upload during BSP.
  * Conditional call on deluser in postrm (Closes: #416669)

 -- Martin Zobel-Helas <zobel@ftbfs.de>  Thu, 17 May 2007 13:30:46 +0200

buildbot (0.7.5-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed,  3 Jan 2007 16:41:10 +0100

buildbot (0.7.4-3) unstable; urgency=low

  * Use unversioned interpreter for contributed scripts, eliminating
    dependency on python2.3.
  * Use /var/lib/buildbot as home directory for the buildbot user.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Oct 2006 22:18:40 +0200

buildbot (0.7.4-2) unstable; urgency=medium

  * Use su -s /bin/sh to launch buildbots. Closes: #388028.
  * Fix location of examples directory. Closes: #386508.
  * Ship some script files in /usr/share/buildbot/contrib. Closes: #388030.

 -- Matthias Klose <doko@debian.org>  Wed,  4 Oct 2006 00:06:06 +0200

buildbot (0.7.4-1) unstable; urgency=low

  * New upstream version.
  * Fix init script, starting buildbots on system startup. Closes: #384090.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Aug 2006 07:21:16 +0200

buildbot (0.7.3-3.1) unstable; urgency=low

  * Adding the --system flag when creating the user in postinst.
      - Closes: #382715.

 -- David Moreno Garza <damog@debian.org>  Sun, 13 Aug 2006 14:48:54 -0500

buildbot (0.7.3-3) unstable; urgency=low

  * Only create buildbot user if it doesn't yet exist (Thom May).
    Closes: #378822.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Jul 2006 19:55:35 +0000

buildbot (0.7.3-2) unstable; urgency=low

  * Add copyright for contrib/svnpoller.py.

 -- Matthias Klose <doko@debian.org>  Fri,  7 Jul 2006 21:10:28 +0200

buildbot (0.7.3-1) unstable; urgency=low

  * New upstream version.
  * Convert to updated Python policy.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2006 02:45:50 +0200

buildbot (0.7.2-0ubuntu1) dapper; urgency=low

  * Initial release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Apr 2006 21:20:08 +0200

=== debian/control ===
Source: buildbot
Section: devel
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Andriy Senkovych <jolly_roger@itblog.org.ua>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3), python-twisted-core (>= 2.0), python-twisted-web, python-twisted-mail, python-jinja2 (>= 2.1), python-mock, texinfo
Homepage: http://buildbot.net
Standards-Version: 3.9.1
X-Python-Version: >= 2.5

Package: buildbot
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-twisted-core (>= 2.0), python-twisted-words, python-jinja2 (>= 2.1), adduser, dpkg (>= 1.15.4) | install-info
Recommends: buildbot-slave, python-twisted-mail, python-twisted-web
Suggests: bzr | subversion | cvs | mercurial | darcs | git-core
Description: system to automate the compile/test cycle
 The BuildBot is a system to automate the compile/test cycle required
 by most software projects to validate code changes. By automatically
 rebuilding and testing the tree each time something has changed,
 build problems are pinpointed quickly, before other developers are
 inconvenienced by the failure. The guilty developer can be identified
 and harassed without human intervention.
 .
 By running the builds on a variety of platforms, developers who do
 not have the facilities to test their changes everywhere before
 checkin will at least know shortly afterwards whether they have
 broken the build or not. Warning counts, lint checks, image size,
 compile time, and other build parameters can be tracked over time,
 are more visible, and are therefore easier to improve.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = debian/buildbot
DOCDIR = /usr/share/doc/buildbot
export VERSION = $(shell head -n1 debian/changelog | cut -d' ' -f2 | tr -d '()')

%:
	dh $@ --with python2

make_docs:
	$(MAKE) -C docs buildbot.info buildbot.html

override_dh_auto_build: make_docs
	dh_auto_build

override_dh_auto_clean:
	rm -fR buildbot.egg-info _trial_temp
	rm -f docs/buildbot.info* docs/buildbot.html
	dh_auto_clean

override_dh_auto_test:
ifneq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "Skipping check (disabled in DEB_BUILD_OPTIONS)."
else
	python setup.py test
endif

override_dh_installinit:
	mkdir -p ${DESTDIR}/etc/init.d ${DESTDIR}/etc/default
	cp contrib/init-scripts/buildmaster.init.sh ${DESTDIR}/etc/init.d/buildmaster
	cp contrib/init-scripts/buildmaster.default ${DESTDIR}/etc/default/buildmaster
	dh_installinit --name=buildmaster --onlyscripts

override_dh_installdocs:
	dh_installdocs
	# Copy necessary images to docs directory
	mkdir -p ${DESTDIR}${DOCDIR}/images
	cp docs/images/*.png ${DESTDIR}${DOCDIR}/images

=== debian/watch ===
version=3
http://code.google.com/p/buildbot/downloads/list .*/buildbot-([0-9.p]*)\.tar\.gz

## buildbot 0.8.5

=== debian/changelog ===
buildbot (0.8.5-2) unstable; urgency=low

  * Remove buildmaster-use-MASTER_PREFIXCMD.patch as fixed upstream.
  * Cherry-pick deb-bug-647420.patch from upstream (Closes: #647420). Thanks
    to Brice Goglin.
  * Add Depends: python-sqlalchemy, phyton-migrate, python-twisted-web
    (Closes: #660389). Thanks to Tobias Frost.
  * postrm: 
    - do not remove system user on purge (Refs: #621833, closes: #656536)
    - do not remove user created data on purge

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Sun, 26 Feb 2012 01:09:33 +0200

buildbot (0.8.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS due to missing build-dependency on python-twisted-words":
    add python-twisted-words to Build-Depends (thanks to Ubuntu / Daniel T
    Chen for the bug report and the fix). (Closes: #648384)

 -- gregor herrmann <gregoa@debian.org>  Tue, 17 Jan 2012 17:53:00 +0100

buildbot (0.8.5-1) unstable; urgency=low

  * New upstream version.
  * Build-depend on python-sqlalchemy, python-migrate.
  * Disable building the docs (requires the sphinx bbdocs extenstion).

 -- Matthias Klose <doko@debian.org>  Sat, 22 Oct 2011 23:53:45 +0200

buildbot (0.8.4p1-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.9.2.
  * Apply patch from Andreas Beckmann (References: #627918)

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Fri, 01 Jul 2011 14:16:30 +0300

buildbot (0.7.12-3) unstable; urgency=low

  * Make recommendations on python-twisted-mail and python-twisted-web
    dependencies.  Closes: #600268.
  * Use dh_python2 instead of python-central.
  * Set CSS stylesheet for for index.html (Andriy Senkovych). Closes: #576284.
  * Add homepage to debian/control. Closes: #587314.

 -- Matthias Klose <doko@debian.org>  Sun, 28 Nov 2010 18:01:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Andriy Senkovych <jolly_roger@itblog.org.ua>
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3), python-twisted-core (>= 2.0), python-twisted-web, python-twisted-mail, python-jinja2 (>= 2.1), python-mock, texinfo
+Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3), python-twisted-core (>= 2.0), python-twisted-web, python-twisted-mail, python-jinja2 (>= 2.1), python-mock, texinfo, python-sqlalchemy, python-migrate, python-twisted-words
 Homepage: http://buildbot.net
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
 
 Package: buildbot
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-twisted-core (>= 2.0), python-twisted-words, python-jinja2 (>= 2.1), adduser, dpkg (>= 1.15.4) | install-info
-Recommends: buildbot-slave, python-twisted-mail, python-twisted-web
+Depends: ${python:Depends}, ${misc:Depends}, python-sqlparse, python-migrate, python-twisted-core (>= 2.0), python-twisted-words, python-twisted-web, python-jinja2 (>= 2.1), adduser, dpkg (>= 1.15.4) | install-info
+Recommends: buildbot-slave, python-twisted-mail
 Suggests: bzr | subversion | cvs | mercurial | darcs | git-core
 Description: system to automate the compile/test cycle
  The BuildBot is a system to automate the compile/test cycle required

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 make_docs:
 	$(MAKE) -C docs buildbot.info buildbot.html
 
-override_dh_auto_build: make_docs
+override_dh_auto_build: #make_docs
 	dh_auto_build
 
 override_dh_auto_clean:
@@ -33,6 +33,6 @@
 
 override_dh_installdocs:
 	dh_installdocs
-	# Copy necessary images to docs directory
-	mkdir -p ${DESTDIR}${DOCDIR}/images
-	cp docs/images/*.png ${DESTDIR}${DOCDIR}/images
+#	# Copy necessary images to docs directory
+#	mkdir -p ${DESTDIR}${DOCDIR}/images
+#	cp docs/images/*.png ${DESTDIR}${DOCDIR}/images

## buildbot 0.8.6p1

=== debian/changelog ===
buildbot (0.8.6p1-1) unstable; urgency=low

  * New upstream release (Closes: #669474).
  * Re-enable documentation building.
  * Use sphinx-generated documentation with dh_sphinxdoc.
  * Remove deb-bug-647420.patch (fixed upstream).
  * debian/control:
    - bump Standards-Version to 3.9.3
    - move Matthias Klose to Uploaders
    - move Andriy Senkovych to Maintainer
  * debian/rules: 
    - do not byte-compile *.py files in /usr/share/buildbot
    - remove additional files (docs/docs.tgz) in clean target
  * debian/copyright: 
    - correct syntax for common license (GPL-2)
    - update Format line to point to copyright-format 1.0

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Thu, 26 Apr 2012 00:02:36 +0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: buildbot
 Section: devel
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
-Uploaders: Andriy Senkovych <jolly_roger@itblog.org.ua>
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3), python-twisted-core (>= 2.0), python-twisted-web, python-twisted-mail, python-jinja2 (>= 2.1), python-mock, texinfo, python-sqlalchemy, python-migrate, python-twisted-words
+Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
+Uploaders: Matthias Klose <doko@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3), python-jinja2 (>=2.1), python-sqlalchemy, python-migrate, python-mock, python-sphinx (>= 1.0.7+dfsg), python-twisted-core (>= 2.0), python-twisted-web, python-twisted-mail, python-twisted-words 
 Homepage: http://buildbot.net
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 
 Package: buildbot
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-sqlparse, python-migrate, python-twisted-core (>= 2.0), python-twisted-words, python-twisted-web, python-jinja2 (>= 2.1), adduser, dpkg (>= 1.15.4) | install-info
+Depends: ${python:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}, python-jinja2 (>=2.1), python-sqlalchemy, python-migrate, python-twisted-core (>= 2.0), python-twisted-web, python-twisted-words, adduser, dpkg (>= 1.15.4)
 Recommends: buildbot-slave, python-twisted-mail
 Suggests: bzr | subversion | cvs | mercurial | darcs | git-core
 Description: system to automate the compile/test cycle

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = debian/buildbot
export VERSION = $(shell head -n1 debian/changelog | cut -d' ' -f2 | tr -d '()')

%:
	dh $@ --with python2 --with sphinxdoc --buildsystem python_distutils

make_docs:
	$(MAKE) -C docs

override_dh_auto_build: make_docs
	dh_auto_build

override_dh_auto_clean:
	rm -fR buildbot.egg-info _trial_temp docs/docs.tgz
	$(MAKE) -C docs clean
	dh_auto_clean

override_dh_auto_test:
ifneq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "Skipping check (disabled in DEB_BUILD_OPTIONS)."
else
	python setup.py test
endif

override_dh_python2:
	dh_python2 $@ --skip-private

override_dh_installinit:
	mkdir -p ${DESTDIR}/etc/init.d ${DESTDIR}/etc/default
	cp contrib/init-scripts/buildmaster.init.sh ${DESTDIR}/etc/init.d/buildmaster
	cp contrib/init-scripts/buildmaster.default ${DESTDIR}/etc/default/buildmaster
	dh_installinit --name=buildmaster --onlyscripts

override_dh_fixperms:
	dh_fixperms
	# Temporary fix for lintian warning until the next buildbot release where
	# the issue is fixed.
	find ${DESTDIR}/usr/share/pyshared/ -type f -name '*.py' -exec chmod 644 {} \;

override_dh_installchangelogs:
	dh_installchangelogs --keep NEWS

## buildbot 0.8.7p1

=== debian/changelog ===
buildbot (0.8.7p1-2) unstable; urgency=low

  * Rebuild to update dependency on pyhton-sqlmigrate (Closes: #715471).
  * Fix TextClient module path (Closes: #716650).

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Tue, 06 Aug 2013 17:12:23 +0300

buildbot (0.8.7p1-1) unstable; urgency=low

  * New upstream release (Closes: #692451).
  * Update patches.
  * Remove temporary code for fixing permissions.
  * Use /usr/bin/trial to run tests.
  * Run dh clean with no extra arguments.
  * Introduce config for git-buildpackage: debian/gbp.conf.
  * debian/control:
    - prettify Depends
    - bump Standards-Version to 3.9.4.0 (no changes required)
    - specify minimal supported version for python-sqlalchemy
    - add python-dateutil (>=1.5) to Depends and Build-Depends (required by
      nightly scheduler).
    - add libaprutil1 to Build-Depends and to Recommends (required by web
      htpasswd auth).

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Fri, 15 Mar 2013 17:56:25 +0200

=== debian/control ===
Source: buildbot
Section: devel
Priority: optional
Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python-all (>= 2.6.6-3),
 python-jinja2 (>= 2.1),
 python-sqlalchemy (>= 0.6.0),
 python-migrate (>= 0.6.1),
 python-mock,
 python-sphinx (>= 1.0.7+dfsg),
 python-twisted-core (>= 2.0),
 python-twisted-web,
 python-twisted-mail,
 python-twisted-words,
 python-dateutil (>= 1.5),
 libaprutil1
Homepage: http://buildbot.net
Standards-Version: 3.9.4.0
X-Python-Version: >= 2.5

Package: buildbot
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, ${sphinxdoc:Depends},
 python-jinja2 (>=2.1),
 python-sqlalchemy (>= 0.6.0),
 python-migrate (>= 0.6.1),
 python-twisted-core (>= 2.0),
 python-twisted-web,
 python-twisted-words,
 python-dateutil (>= 1.5),
 dpkg (>= 1.15.4),
 adduser
Recommends: buildbot-slave,
 python-twisted-mail,
 libaprutil1
Suggests: bzr | subversion | cvs | mercurial | darcs | git
Description: system to automate the compile/test cycle
 The BuildBot is a system to automate the compile/test cycle required
 by most software projects to validate code changes. By automatically
 rebuilding and testing the tree each time something has changed,
 build problems are pinpointed quickly, before other developers are
 inconvenienced by the failure. The guilty developer can be identified
 and harassed without human intervention.
 .
 By running the builds on a variety of platforms, developers who do
 not have the facilities to test their changes everywhere before
 checkin will at least know shortly afterwards whether they have
 broken the build or not. Warning counts, lint checks, image size,
 compile time, and other build parameters can be tracked over time,
 are more visible, and are therefore easier to improve.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 DESTDIR = debian/buildbot
 export VERSION = $(shell head -n1 debian/changelog | cut -d' ' -f2 | tr -d '()')
 
+clean:
+	dh $@
 %:
 	dh $@ --with python2 --with sphinxdoc --buildsystem python_distutils
 
@@ -21,7 +23,7 @@
 ifneq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "Skipping check (disabled in DEB_BUILD_OPTIONS)."
 else
-	python setup.py test
+	trial --reporter=bwverbose buildbot.test
 endif
 
 override_dh_python2:
@@ -33,11 +35,5 @@
 	cp contrib/init-scripts/buildmaster.default ${DESTDIR}/etc/default/buildmaster
 	dh_installinit --name=buildmaster --onlyscripts
 
-override_dh_fixperms:
-	dh_fixperms
-	# Temporary fix for lintian warning until the next buildbot release where
-	# the issue is fixed.
-	find ${DESTDIR}/usr/share/pyshared/ -type f -name '*.py' -exec chmod 644 {} \;
-
 override_dh_installchangelogs:
 	dh_installchangelogs --keep NEWS

## buildbot 0.8.8

=== docs/Makefile ===
all: docs.tgz

.PHONY: images images-png images-eps tutorial manual

VERSION=$(shell if [ -n "$$VERSION" ]; then echo $$VERSION; else PYTHONPATH=..:$${PYTHONPATH} python -c 'from buildbot import version; print version'; fi)

TAR_TRANSFORM = $(shell if [[ `tar --version` =~ "bsdtar" ]]; then echo "-s '/^html/$(VERSION)/'"; else echo "--transform 's/^html/$(VERSION)/'"; fi)

docs.tgz: clean html singlehtml images-png
	sed -e 's!href="index.html#!href="#!g' < _build/singlehtml/index.html > _build/html/full.html
	tar -C _build $(TAR_TRANSFORM) -zcf $@ html

images:
	$(MAKE) -C images all
images-png:
	# rule disabled, since the .png's are in git
	#$(MAKE) -C images images-png
images-eps:
	$(MAKE) -C images images-eps

# -- Makefile for Sphinx documentation --

# You can set these variables from the command line.
SPHINXOPTS    = -q -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html: conf.py
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: conf.py
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: conf.py
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: conf.py
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: conf.py
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: conf.py
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: conf.py
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BuildbotTutorial.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BuildbotTutorial.qhc"

devhelp: conf.py
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BuildbotTutorial"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BuildbotTutorial"
	@echo "# devhelp"

epub: conf.py
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: conf.py
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: conf.py
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: conf.py
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: conf.py
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes: conf.py
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: conf.py
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: conf.py
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
buildbot (0.8.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with sqlalchemy 0.9.
  * Added upstream doc patches to avoid FTBFS (Closes: #737315).

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Mar 2014 06:22:09 +0000

buildbot (0.8.8-1) unstable; urgency=low

  * New upstream release
  * Remove text-client.patch (applied upstream)
  * Add bash-completion. Thanks to Elmir Jagudin
  * debian/control: add Vcs-* fields

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Thu, 10 Oct 2013 13:22:47 +0300

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,13 @@
  python-twisted-mail,
  python-twisted-words,
  python-dateutil (>= 1.5),
- libaprutil1
+ libaprutil1,
+ bash-completion
 Homepage: http://buildbot.net
 Standards-Version: 3.9.4.0
 X-Python-Version: >= 2.5
+Vcs-Browser: https://github.com/buildbot/debian-buildbot
+Vcs-Git: git://github.com/buildbot/debian-buildbot.git
 
 Package: buildbot
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 clean:
 	dh $@
 %:
-	dh $@ --with python2 --with sphinxdoc --buildsystem python_distutils
+	dh $@ --with python2,sphinxdoc,bash-completion --buildsystem python_distutils
 
 make_docs:
 	$(MAKE) -C docs

=== debian/watch ===
version=3
opts=downloadurlmangle=s/.*\/\//http:\/\// \
    http://code.google.com/p/buildbot/downloads/list \
    .*\/buildbot-([0-9.p]*)\.tar\.gz

## buildbot 0.8.9

=== debian/changelog ===
buildbot (0.8.9-2ubuntu1) wily; urgency=medium

  * d/p/skip-failing-tests.patch: Skip two failing tests due to dependency
    shift in Ubuntu and Debian (see http://pad.lv/1497958 for details).

 -- James Page <james.page@ubuntu.com>  Mon, 21 Sep 2015 12:21:20 +0100

buildbot (0.8.9-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.6. No changes required
  * Update sqlalchemy patch with metadata from upstream
  * Allow single instance restart (Refs: #661102)
  * Use correct exit code during start (Closes: #758432)
  * Add more information about buildbot upgrade errors (Closes: #758857)
  * Update debian/watch, add possibility to check PGP signature
  * Add autopkgtest support
  * Remove absent files from debian/copyright

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Sat, 25 Oct 2014 01:41:18 +0300

buildbot (0.8.9-1) unstable; urgency=medium

  * New upstream release. Closes: #755334, #756999.
  * Disable the SQLAlchemy version check.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 23:47:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: buildbot
 Section: devel
 Priority: optional
-Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  python-all (>= 2.6.6-3),
@@ -18,10 +19,11 @@
  libaprutil1,
  bash-completion
 Homepage: http://buildbot.net
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 Vcs-Browser: https://github.com/buildbot/debian-buildbot
 Vcs-Git: git://github.com/buildbot/debian-buildbot.git
+Testsuite: autopkgtest
 
 Package: buildbot
 Architecture: all

## buildbot 0.8.12

=== docs/Makefile ===
--- 
+++ 
@@ -2,9 +2,10 @@
 
 .PHONY: images images-png images-eps tutorial manual
 
-VERSION=$(shell if [ -n "$$VERSION" ]; then echo $$VERSION; else PYTHONPATH=..:$${PYTHONPATH} python -c 'from buildbot import version; print version'; fi)
+VERSION := $(shell if [ -n "$$VERSION" ]; then echo $$VERSION; else PYTHONPATH=..:$${PYTHONPATH} python -c 'from buildbot import version; print version'; fi)
 
-TAR_TRANSFORM = $(shell if [[ `tar --version` =~ "bsdtar" ]]; then echo "-s '/^html/$(VERSION)/'"; else echo "--transform 's/^html/$(VERSION)/'"; fi)
+TAR_VERSION := $(shell tar --version)
+TAR_TRANSFORM := $(if $(filter bsdtar,$(TAR_VERSION)),-s /^html/$(VERSION)/,--transform s/^html/$(VERSION)/)
 
 docs.tgz: clean html singlehtml images-png
 	sed -e 's!href="index.html#!href="#!g' < _build/singlehtml/index.html > _build/html/full.html

=== docs/manual/_images/Makefile ===

SOURCES = overview.svg slaves.svg master.svg status.svg
PNGS = $(patsubst %.svg,%.png,$(SOURCES))
EPSS = $(patsubst %.svg,%.eps,$(SOURCES))

.PHONY: images-png images-eps
all: $(PNGS) $(EPSS)
images-png: $(PNGS)
images-eps: $(EPSS)

%.png: %.svg
	inkscape -b white --export-png $@ $<
	mogrify -trim +repage $@
%.eps: %.svg
	inkscape --export-eps $@ $<
	mogrify -trim +repage $@
clean:
	rm -f *.png *.eps

=== debian/changelog ===
buildbot (0.8.12-3) unstable; urgency=medium

  * Build-depend on python-all-dev.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Apr 2016 13:16:04 +0200

buildbot (0.8.12-2) unstable; urgency=medium

  * Build-depend on python-setuptools.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Apr 2016 12:54:33 +0200

buildbot (0.8.12-1) unstable; urgency=medium

  * New upstream release.
    - Fix build with sphinx-1.3. Closes: #787175.
  * Replace cdn.debian.net with httpredir.debian.org. Closes: #774478.
  * d/p/skip-failing-tests.patch: Skip two failing tests due to dependency
    shift in Ubuntu and Debian (see http://pad.lv/1497958 for details).

 -- Matthias Klose <doko@debian.org>  Sun, 13 Dec 2015 20:14:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
 Source: buildbot
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
+Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
- python-all (>= 2.6.6-3),
+ python-all-dev,
  python-jinja2 (>= 2.1),
- python-sqlalchemy (>= 0.6.0),
- python-migrate (>= 0.6.1),
+ python-migrate (>= 0.8.0),
  python-mock,
+ python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
- python-twisted-core (>= 2.0),
- python-twisted-web,
- python-twisted-mail,
- python-twisted-words,
+ python-twisted (>= 11.0),
  python-dateutil (>= 1.5),
  libaprutil1,
  bash-completion
@@ -26,14 +22,12 @@
 Testsuite: autopkgtest
 
 Package: buildbot
-Architecture: all
+Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${sphinxdoc:Depends},
+ ${shlibs:Depends},
  python-jinja2 (>=2.1),
- python-sqlalchemy (>= 0.6.0),
  python-migrate (>= 0.6.1),
- python-twisted-core (>= 2.0),
- python-twisted-web,
- python-twisted-words,
+ python-twisted (>= 2.0),
  python-dateutil (>= 1.5),
  dpkg (>= 1.15.4),
  adduser

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,11 @@
 	$(MAKE) -C docs
 
 override_dh_auto_build: make_docs
+	cd sqlalchemy && python ./setup.py --with-cextensions build
 	dh_auto_build
 
 override_dh_auto_clean:
+	rm -rf sqlalchemy/build
 	rm -fR buildbot.egg-info _trial_temp docs/docs.tgz
 	$(MAKE) -C docs clean
 	dh_auto_clean
@@ -23,7 +25,7 @@
 ifneq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "Skipping check (disabled in DEB_BUILD_OPTIONS)."
 else
-	trial --reporter=bwverbose buildbot.test
+	-trial --reporter=bwverbose buildbot.test
 endif
 
 override_dh_python2:

=== debian/tests/control ===
Tests: python2
Depends: @, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.python.org/packages/source/b/buildbot/buildbot-([0-9.]+)\.tar\.gz
